Skip to main content

Account Workspace Access

View as Markdown

WorkspaceAccessDetail object

The details of a principal's access to a workspace.

principal_idint64Beta

The internal ID of the principal (user/sp/group) in <Databricks>.

workspace_idint64Beta

The workspace ID where the principal has access.

account_idstringBeta

The account ID parent of the workspace where the principal has access.

principal_typestringBeta

Values: PRINCIPAL_TYPE_UNSPECIFIED, USER, SERVICE_PRINCIPAL, GROUP

access_typestringBeta

Values: ACCESS_TYPE_UNSPECIFIED, DIRECT, INDIRECT

statusstringBeta

The activity status of the principal in the workspace. Not applicable for groups at the moment.

Values: STATE_UNSPECIFIED, ACTIVE, INACTIVE

permissionsarray of stringBeta

The permissions granted to the principal in the workspace.

Values: WORKSPACE_PERMISSION_UNSPECIFIED, USER_PERMISSION, ADMIN_PERMISSION

Get Beta

GET /api/2.0/identity/accounts/{account_id}/workspaces/{workspace_id}/workspace-access-details/{principal_id}

Returns the access details for a principal in a workspace. Allows for checking access details for any provisioned principal (user, service principal, or group) in a workspace.

  • Provisioned principal here refers to one that has been synced into <Databricks> from the customer's IdP or added explicitly to <Databricks> via SCIM/UI. Allows for passing in a "view" parameter to control what fields are returned (BASIC by default or FULL).

API scopes: identity

Parameters

account_idstringpath

Required. The parent account ID for which the workspace access details are being requested.

workspace_idint64path

Required. The workspace ID for which the access details are being requested.

principal_idint64path

Required. The internal ID of the principal (user/sp/group) for which the access details are being requested.

viewstringquery

Controls what fields are returned.

Default: BASIC

Values: WORKSPACE_ACCESS_DETAIL_VIEW_UNSPECIFIED, BASIC, FULL

Response

Returns the WorkspaceAccessDetail object.